searchData={"items":[{"type":"module","title":"Uniswap","doc":"Common uniswap functions","ref":"Uniswap.html"},{"type":"function","title":"Uniswap.deadline/1","doc":"","ref":"Uniswap.html#deadline/1"},{"type":"function","title":"Uniswap.swap_exact_input_single/8","doc":"","ref":"Uniswap.html#swap_exact_input_single/8"},{"type":"module","title":"Uniswap.Liquidity","doc":"Manage Liquidity on Uniswap contracts","ref":"Uniswap.Liquidity.html"},{"type":"function","title":"Uniswap.Liquidity.list_positions/2","doc":"","ref":"Uniswap.Liquidity.html#list_positions/2"},{"type":"module","title":"Uniswap.Liquidity.Position","doc":"Uniswap Position info Struct","ref":"Uniswap.Liquidity.Position.html"},{"type":"function","title":"Uniswap.Liquidity.Position.parse/1","doc":"","ref":"Uniswap.Liquidity.Position.html#parse/1"},{"type":"module","title":"Uniswap.Liquidity.Math","doc":"Math functions for handling liquidity and amounts calculations\n\nNote that all prices in this module are presented as `token0 / token1`.","ref":"Uniswap.Liquidity.Math.html"},{"type":"function","title":"Uniswap.Liquidity.Math.amount_0_for_liquidity/3","doc":"Computes the amount of token0 for a given amount of liquidity and a price range","ref":"Uniswap.Liquidity.Math.html#amount_0_for_liquidity/3"},{"type":"function","title":"Parameters - Uniswap.Liquidity.Math.amount_0_for_liquidity/3","doc":"- liquidity: The liquidity being valued.\n- sqrt_ratio_a: A price representing the first tick boundary.\n- sqrt_ratio_b: A price representing the second tick boundary.","ref":"Uniswap.Liquidity.Math.html#amount_0_for_liquidity/3-parameters"},{"type":"function","title":"Examples - Uniswap.Liquidity.Math.amount_0_for_liquidity/3","doc":"iex> Uniswap.Liquidity.Math.amount_0_for_liquidity(1048, 75541653435528998045632568071, 83094576964003990165232822996)\n99","ref":"Uniswap.Liquidity.Math.html#amount_0_for_liquidity/3-examples"},{"type":"function","title":"Uniswap.Liquidity.Math.amount_1_for_liquidity/3","doc":"Computes the amount of token1 for a given amount of liquidity and a price range","ref":"Uniswap.Liquidity.Math.html#amount_1_for_liquidity/3"},{"type":"function","title":"Parameters - Uniswap.Liquidity.Math.amount_1_for_liquidity/3","doc":"- liquidity: The liquidity being valued.\n- sqrt_ratio_a: A price representing the first tick boundary.\n- sqrt_ratio_b: A price representing the second tick boundary.","ref":"Uniswap.Liquidity.Math.html#amount_1_for_liquidity/3-parameters"},{"type":"function","title":"Examples - Uniswap.Liquidity.Math.amount_1_for_liquidity/3","doc":"iex> Uniswap.Liquidity.Math.amount_0_for_liquidity(2097, 75541653435528998045632568071, 83094576964003990165232822996)\n199","ref":"Uniswap.Liquidity.Math.html#amount_1_for_liquidity/3-examples"},{"type":"function","title":"Uniswap.Liquidity.Math.amounts_for_liquidity/4","doc":"Computes the token0 and token1 value for a given amount of liquidity, the current\npool prices and the prices at the tick boundaries.\n\nReturns amounts in a 2 element tuple: `{amount_token_0, amount_token_1}`","ref":"Uniswap.Liquidity.Math.html#amounts_for_liquidity/4"},{"type":"function","title":"Parameters - Uniswap.Liquidity.Math.amounts_for_liquidity/4","doc":"- liquidity: The liquidity being valued\n- current_sqrt_ratio: A price representing the current pool price.\n- sqrt_ratio_a: A price representing the first tick boundary.\n- sqrt_ratio_b: A price representing the second tick boundary.","ref":"Uniswap.Liquidity.Math.html#amounts_for_liquidity/4-parameters"},{"type":"function","title":"Examples - Uniswap.Liquidity.Math.amounts_for_liquidity/4","doc":"iex> Uniswap.Liquidity.Math.amounts_for_liquidity(2148, 79228162514264337593543950336, 75541653435528998045632568071, 83094576964003990165232822996)\n{99, 99}\n\niex> Uniswap.Liquidity.Math.amounts_for_liquidity(1048, 75161148693683831164828610338, 75541653435528998045632568071, 83094576964003990165232822996)\n{99, 0}\n\niex> Uniswap.Liquidity.Math.amounts_for_liquidity(2097, 83473499738992491211565015422, 75541653435528998045632568071, 83094576964003990165232822996)\n{0, 199}","ref":"Uniswap.Liquidity.Math.html#amounts_for_liquidity/4-examples"},{"type":"function","title":"Uniswap.Liquidity.Math.liquidity_for_amount_0/3","doc":"Computes the amount of liquidity received for a given amount of token0 and price range\n\nCalculates amount0 * (sqrt(upper) * sqrt(lower)) / (sqrt(upper) - sqrt(lower))","ref":"Uniswap.Liquidity.Math.html#liquidity_for_amount_0/3"},{"type":"function","title":"Parameters - Uniswap.Liquidity.Math.liquidity_for_amount_0/3","doc":"- amount_0: The amount of token0 being sent in.\n- sqrt_ratio_a: A price representing the first tick boundary.\n- sqrt_ratio_b: A price representing the second tick boundary.","ref":"Uniswap.Liquidity.Math.html#liquidity_for_amount_0/3-parameters"},{"type":"function","title":"Examples - Uniswap.Liquidity.Math.liquidity_for_amount_0/3","doc":"iex> Uniswap.Liquidity.Math.liquidity_for_amount_0(100, 83094576964003990165232822996, 75541653435528998045632568071)\n1048\n\niex> Uniswap.Liquidity.Math.liquidity_for_amount_0(100, 75541653435528998045632568071, 83094576964003990165232822996)\n1048","ref":"Uniswap.Liquidity.Math.html#liquidity_for_amount_0/3-examples"},{"type":"function","title":"Uniswap.Liquidity.Math.liquidity_for_amount_1/3","doc":"Computes the amount of liquidity received for a given amount of token1 and price range\n\nCalculates amount1 / (sqrt(upper) - sqrt(lower))","ref":"Uniswap.Liquidity.Math.html#liquidity_for_amount_1/3"},{"type":"function","title":"Parameters - Uniswap.Liquidity.Math.liquidity_for_amount_1/3","doc":"- amount_1: The amount of token1 being sent in.\n- sqrt_ratio_a: A price representing the first tick boundary.\n- sqrt_ratio_b: A price representing the second tick boundary.","ref":"Uniswap.Liquidity.Math.html#liquidity_for_amount_1/3-parameters"},{"type":"function","title":"Examples - Uniswap.Liquidity.Math.liquidity_for_amount_1/3","doc":"iex> Uniswap.Liquidity.Math.liquidity_for_amount_1(100, 83094576964003990165232822996, 75541653435528998045632568071)\n1048","ref":"Uniswap.Liquidity.Math.html#liquidity_for_amount_1/3-examples"},{"type":"function","title":"Uniswap.Liquidity.Math.liquidity_for_amounts/5","doc":"Computes the maximum amount of liquidity received for a given amount of token0, token1, the current\npool prices and the prices at the tick boundaries.\n\nReturns the largest possible liquidity for the amounts.","ref":"Uniswap.Liquidity.Math.html#liquidity_for_amounts/5"},{"type":"function","title":"Parameters - Uniswap.Liquidity.Math.liquidity_for_amounts/5","doc":"- amount_0: The amount of token0 being sent in.\n- amount_1: The amount of token1 being sent in.\n- current_sqrt_ratio: A price representing the current pool price.\n- sqrt_ratio_a: A price representing the first tick boundary.\n- sqrt_ratio_b: A price representing the second tick boundary.","ref":"Uniswap.Liquidity.Math.html#liquidity_for_amounts/5-parameters"},{"type":"function","title":"Examples - Uniswap.Liquidity.Math.liquidity_for_amounts/5","doc":"iex> Uniswap.Liquidity.Math.liquidity_for_amounts(100, 200, 79228162514264337593543950336, 75541653435528998045632568071, 83094576964003990165232822996)\n2149\n\niex> Uniswap.Liquidity.Math.liquidity_for_amounts(100, 200, 75161148693683831164828610338, 75541653435528998045632568071, 83094576964003990165232822996)\n1048\n\niex> Uniswap.Liquidity.Math.liquidity_for_amounts(100, 200, 83473499738992491211565015422, 75541653435528998045632568071, 83094576964003990165232822996)\n2097","ref":"Uniswap.Liquidity.Math.html#liquidity_for_amounts/5-examples"},{"type":"function","title":"Uniswap.Liquidity.Math.required_swap_for_liquidity/5","doc":"Returns the required amount of swap between tokens to achieve near 100% utilization in a position.\n\nIf the returned number is above 0, token_0 should be traded for token_1. For negative numbers\ntoken_1 should be traded for token_0.","ref":"Uniswap.Liquidity.Math.html#required_swap_for_liquidity/5"},{"type":"function","title":"Examples - Uniswap.Liquidity.Math.required_swap_for_liquidity/5","doc":"iex> Uniswap.Liquidity.Math.required_swap_for_liquidity(100, 200, 112045541949572287496682733568, 79228162514264337593543950336, 137227202865029789651872776192)\n22\n\niex> Uniswap.Liquidity.Math.required_swap_for_liquidity(50, 200, 112045541949572287496682733568, 79228162514264337593543950336, 137227202865029789651872776192)\n-14","ref":"Uniswap.Liquidity.Math.html#required_swap_for_liquidity/5-examples"},{"type":"module","title":"Uniswap.Price.Math","doc":"Helper functions for calculation and interaction with Uniswap DEX.","ref":"Uniswap.Price.Math.html"},{"type":"function","title":"Uniswap.Price.Math.from_sqrt_x96/3","doc":"Converts sqrtX96 price into human readable price\nMore info https://docs.uniswap.org/sdk/guides/fetching-prices#understanding-sqrtprice\n\nTo get the price of token_0 per token_1 just use `1 / Math.from_sqrt_x96(...)`.","ref":"Uniswap.Price.Math.html#from_sqrt_x96/3"},{"type":"function","title":"Examples - Uniswap.Price.Math.from_sqrt_x96/3","doc":"iex> Uniswap.Price.Math.from_sqrt_x96(1984403731948787316926650586759168, 6, 18)\n6.273370000000002e-4","ref":"Uniswap.Price.Math.html#from_sqrt_x96/3-examples"},{"type":"function","title":"Uniswap.Price.Math.from_sqrt_x128/3","doc":"","ref":"Uniswap.Price.Math.html#from_sqrt_x128/3"},{"type":"function","title":"Uniswap.Price.Math.from_sqrt_xnn/4","doc":"","ref":"Uniswap.Price.Math.html#from_sqrt_xnn/4"},{"type":"function","title":"Uniswap.Price.Math.nearest_tick/2","doc":"Returns the nearest tick with respect to tick spacing","ref":"Uniswap.Price.Math.html#nearest_tick/2"},{"type":"function","title":"Examples - Uniswap.Price.Math.nearest_tick/2","doc":"iex> Uniswap.Price.Math.nearest_tick(23, 2)\n24\n\niex> Uniswap.Price.Math.nearest_tick(44, 10)\n40\n\niex> Uniswap.Price.Math.nearest_tick(45, 10)\n50\n\niex> Uniswap.Price.Math.nearest_tick(46, 10)\n50","ref":"Uniswap.Price.Math.html#nearest_tick/2-examples"},{"type":"function","title":"Uniswap.Price.Math.price_to_tick/4","doc":"Converts a price to it's corresponding tick\n\nPrice is how much token1 is for a token0","ref":"Uniswap.Price.Math.html#price_to_tick/4"},{"type":"function","title":"Examples - Uniswap.Price.Math.price_to_tick/4","doc":"iex> Uniswap.Price.Math.price_to_tick(0.000551413, 10, 6, 18)\n201290\n\niex> Uniswap.Price.Math.price_to_tick(1 / 1474.44, 10, 6, 18)\n203360","ref":"Uniswap.Price.Math.html#price_to_tick/4-examples"},{"type":"function","title":"Uniswap.Price.Math.tick_to_price/3","doc":"Converts a tick to it's corresponding price\n\nPrice is how much token1 is for a token0","ref":"Uniswap.Price.Math.html#tick_to_price/3"},{"type":"function","title":"Examples - Uniswap.Price.Math.tick_to_price/3","doc":"iex> Uniswap.Price.Math.tick_to_price(201290, 6, 18)\n0.000551412440019572\n\niex> Uniswap.Price.Math.tick_to_price(203360, 6, 18)\n1 / 1474.4463585092642","ref":"Uniswap.Price.Math.html#tick_to_price/3-examples"},{"type":"function","title":"Uniswap.Price.Math.to_sqrt_x96/3","doc":"Converts a price to sqrtX96 format.\nMore info https://docs.uniswap.org/sdk/guides/fetching-prices#understanding-sqrtprice\n\nTo get the price of token_0 per token_1 just use `1 / Math.from_sqrt_x96(...)`.","ref":"Uniswap.Price.Math.html#to_sqrt_x96/3"},{"type":"function","title":"Examples - Uniswap.Price.Math.to_sqrt_x96/3","doc":"iex> Uniswap.Price.Math.to_sqrt_x96(0.000627337, 6, 18)\n1984403731948787316926650586759168","ref":"Uniswap.Price.Math.html#to_sqrt_x96/3-examples"},{"type":"function","title":"Uniswap.Price.Math.to_sqrt_x128/3","doc":"","ref":"Uniswap.Price.Math.html#to_sqrt_x128/3"},{"type":"function","title":"Uniswap.Price.Math.to_sqrt_xnn/4","doc":"","ref":"Uniswap.Price.Math.html#to_sqrt_xnn/4"},{"type":"module","title":"Uniswap.Tick.Math","doc":"Math library for computing sqrt prices from ticks and vice versa","ref":"Uniswap.Tick.Math.html"},{"type":"function","title":"Uniswap.Tick.Math.next_valid_tick/2","doc":"Return the nearest bigger valid tick with respect to the tick spacing","ref":"Uniswap.Tick.Math.html#next_valid_tick/2"},{"type":"function","title":"Examples - Uniswap.Tick.Math.next_valid_tick/2","doc":"iex> Uniswap.Tick.Math.next_valid_tick(53, 10)\n    60\n\n    iex> Uniswap.Tick.Math.next_valid_tick(59, 10)\n    60\n\n    iex> Uniswap.Tick.Math.next_valid_tick(90, 10)\n    90\n\n    iex> Uniswap.Tick.Math.next_valid_tick(-90, 10)\n    -90\n\n    iex> Uniswap.Tick.Math.next_valid_tick(0, 10)\n    0\n\n    iex> Uniswap.Tick.Math.next_valid_tick(-54, 10)\n    -50\n\n    iex> Uniswap.Tick.Math.next_valid_tick(22, 8)\n    24\n\n    iex> Uniswap.Tick.Math.next_valid_tick(887_272, 10)\n    887_270","ref":"Uniswap.Tick.Math.html#next_valid_tick/2-examples"},{"type":"function","title":"Uniswap.Tick.Math.prev_valid_tick/2","doc":"Returns the nearest smaller valid tick with respect to the tick spacing","ref":"Uniswap.Tick.Math.html#prev_valid_tick/2"},{"type":"function","title":"Examples - Uniswap.Tick.Math.prev_valid_tick/2","doc":"iex> Uniswap.Tick.Math.prev_valid_tick(53, 10)\n    50\n\n    iex> Uniswap.Tick.Math.prev_valid_tick(59, 10)\n    50\n\n    iex> Uniswap.Tick.Math.prev_valid_tick(90, 10)\n    90\n\n    iex> Uniswap.Tick.Math.prev_valid_tick(-90, 10)\n    -90\n\n    iex> Uniswap.Tick.Math.prev_valid_tick(0, 10)\n    0\n\n    iex> Uniswap.Tick.Math.prev_valid_tick(-54, 10)\n    -60\n\n    iex> Uniswap.Tick.Math.prev_valid_tick(22, 8)\n    16\n\n    iex> Uniswap.Tick.Math.prev_valid_tick(-887_272, 10)\n    -887_270\n\n    iex> Uniswap.Tick.Math.prev_valid_tick(-887_270, 10)\n    -887_270","ref":"Uniswap.Tick.Math.html#prev_valid_tick/2-examples"},{"type":"function","title":"Uniswap.Tick.Math.sqrt_ratio_at_tick/1","doc":"Calculates sqrt(1.0001^tick) * 2^96","ref":"Uniswap.Tick.Math.html#sqrt_ratio_at_tick/1"},{"type":"function","title":"Uniswap.Tick.Math.sqrt_ratio_at_tick!/1","doc":"Same as `sqrt_ratio_at_tick/1` but raises on errors","ref":"Uniswap.Tick.Math.html#sqrt_ratio_at_tick!/1"},{"type":"function","title":"Uniswap.Tick.Math.tick_at_sqrt_ratio/1","doc":"Calculates reverse of `sqrt_ratio_at_tick/1`.\n\n*IMPORTANT*: This function is not precision safe and is using floating point calculation. Do not use in prod!","ref":"Uniswap.Tick.Math.html#tick_at_sqrt_ratio/1"},{"type":"function","title":"Uniswap.Tick.Math.tick_at_sqrt_ratio!/1","doc":"Same as `tick_at_sqrt_ratio/1` but raises on errors","ref":"Uniswap.Tick.Math.html#tick_at_sqrt_ratio!/1"},{"type":"function","title":"Uniswap.Tick.Math.tick_base/0","doc":"Base for tick calculatio: 1.0001","ref":"Uniswap.Tick.Math.html#tick_base/0"},{"type":"module","title":"Uniswap.Contracts.NonfungiblePositionManager","doc":"Uniswap's NFT Position Manager","ref":"Uniswap.Contracts.NonfungiblePositionManager.html"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.__default_address__/0","doc":"Default address of the contract. Returns `nil` if not specified.\n\nTo specify a default address see `Ethers.Contract`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#__default_address__/0"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.approve/2","doc":"Prepares `approve(address to, uint256 tokenId)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nNo amount of Ether can be sent with this function.\n\n\nState mutability: `non_payable`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#approve/2"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.approve/2","doc":"- to: `:address`\n - tokenId: `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#approve/2-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.approve/2","doc":"This function does not return any values!","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#approve/2-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.balance_of/1","doc":"Prepares `balanceOf(address owner)` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#balance_of/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.balance_of/1","doc":"- owner: `:address`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#balance_of/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.balance_of/1","doc":"- `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#balance_of/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.base_uri/0","doc":"Prepares `baseURI()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `pure`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#base_uri/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.base_uri/0","doc":"- `:string`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#base_uri/0-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.burn/1","doc":"Prepares `burn(uint256 tokenId)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#burn/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.burn/1","doc":"- tokenId: `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#burn/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.burn/1","doc":"This function does not return any values!","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#burn/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.collect/1","doc":"Prepares `collect((uint256,address,uint128,uint128) params)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#collect/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.collect/1","doc":"- params: `{:tuple, [{:uint, 256}, :address, {:uint, 128}, {:uint, 128}]}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#collect/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.collect/1","doc":"- amount0: `{:uint, 256}`\n - amount1: `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#collect/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.constructor/3","doc":"Prepares contract constructor values for deployment.\n\nTo deploy a contracts use `Ethers.deploy/2` and pass the result of this function as\n`:encoded_constructor` option.","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#constructor/3"},{"type":"function","title":"Parameters - Uniswap.Contracts.NonfungiblePositionManager.constructor/3","doc":"- _factory: `:address`\n - _WETH9: `:address`\n - _tokenDescriptor_: `:address`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#constructor/3-parameters"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.create_and_initialize_pool_if_necessary/4","doc":"Prepares `createAndInitializePoolIfNecessary(address token0, address token1, uint24 fee, uint160 sqrtPriceX96)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#create_and_initialize_pool_if_necessary/4"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.create_and_initialize_pool_if_necessary/4","doc":"- token0: `:address`\n - token1: `:address`\n - fee: `{:uint, 24}`\n - sqrtPriceX96: `{:uint, 160}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#create_and_initialize_pool_if_necessary/4-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.create_and_initialize_pool_if_necessary/4","doc":"- pool: `:address`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#create_and_initialize_pool_if_necessary/4-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.decrease_liquidity/1","doc":"Prepares `decreaseLiquidity((uint256,uint128,uint256,uint256,uint256) params)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#decrease_liquidity/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.decrease_liquidity/1","doc":"- params: `{:tuple, [uint: 256, uint: 128, uint: 256, uint: 256, uint: 256]}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#decrease_liquidity/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.decrease_liquidity/1","doc":"- amount0: `{:uint, 256}`\n - amount1: `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#decrease_liquidity/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.domain_separator/0","doc":"Prepares `DOMAIN_SEPARATOR()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#domain_separator/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.domain_separator/0","doc":"- `{:bytes, 32}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#domain_separator/0-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.factory/0","doc":"Prepares `factory()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#factory/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.factory/0","doc":"- `:address`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#factory/0-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.get_approved/1","doc":"Prepares `getApproved(uint256 tokenId)` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#get_approved/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.get_approved/1","doc":"- tokenId: `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#get_approved/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.get_approved/1","doc":"- `:address`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#get_approved/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.increase_liquidity/1","doc":"Prepares `increaseLiquidity((uint256,uint256,uint256,uint256,uint256,uint256) params)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#increase_liquidity/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.increase_liquidity/1","doc":"- params: `{:tuple, [uint: 256, uint: 256, uint: 256, uint: 256, uint: 256, uint: 256]}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#increase_liquidity/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.increase_liquidity/1","doc":"- liquidity: `{:uint, 128}`\n - amount0: `{:uint, 256}`\n - amount1: `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#increase_liquidity/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.is_approved_for_all/2","doc":"Prepares `isApprovedForAll(address owner, address operator)` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#is_approved_for_all/2"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.is_approved_for_all/2","doc":"- owner: `:address`\n - operator: `:address`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#is_approved_for_all/2-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.is_approved_for_all/2","doc":"- `:bool`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#is_approved_for_all/2-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.mint/1","doc":"Prepares `mint((address,address,uint24,int24,int24,uint256,uint256,uint256,uint256,address,uint256) params)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#mint/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.mint/1","doc":"- params: `{:tuple, [:address, :address, {:uint, 24}, {:int, 24}, {:int, 24}, {:uint, 256}, {:uint, 256}, {:uint, 256}, {:uint, 256}, :address, {:uint, 256}]}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#mint/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.mint/1","doc":"- tokenId: `{:uint, 256}`\n - liquidity: `{:uint, 128}`\n - amount0: `{:uint, 256}`\n - amount1: `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#mint/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.multicall/1","doc":"Prepares `multicall(bytes[] data)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#multicall/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.multicall/1","doc":"- data: `{:array, :bytes}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#multicall/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.multicall/1","doc":"- results: `{:array, :bytes}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#multicall/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.name/0","doc":"Prepares `name()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#name/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.name/0","doc":"- `:string`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#name/0-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.owner_of/1","doc":"Prepares `ownerOf(uint256 tokenId)` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#owner_of/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.owner_of/1","doc":"- tokenId: `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#owner_of/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.owner_of/1","doc":"- `:address`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#owner_of/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.permit/6","doc":"Prepares `permit(address spender, uint256 tokenId, uint256 deadline, uint8 v, bytes32 r, bytes32 s)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#permit/6"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.permit/6","doc":"- spender: `:address`\n - tokenId: `{:uint, 256}`\n - deadline: `{:uint, 256}`\n - v: `{:uint, 8}`\n - r: `{:bytes, 32}`\n - s: `{:bytes, 32}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#permit/6-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.permit/6","doc":"This function does not return any values!","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#permit/6-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.permit_typehash/0","doc":"Prepares `PERMIT_TYPEHASH()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#permit_typehash/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.permit_typehash/0","doc":"- `{:bytes, 32}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#permit_typehash/0-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.positions/1","doc":"Prepares `positions(uint256 tokenId)` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#positions/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.positions/1","doc":"- tokenId: `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#positions/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.positions/1","doc":"- nonce: `{:uint, 96}`\n - operator: `:address`\n - token0: `:address`\n - token1: `:address`\n - fee: `{:uint, 24}`\n - tickLower: `{:int, 24}`\n - tickUpper: `{:int, 24}`\n - liquidity: `{:uint, 128}`\n - feeGrowthInside0LastX128: `{:uint, 256}`\n - feeGrowthInside1LastX128: `{:uint, 256}`\n - tokensOwed0: `{:uint, 128}`\n - tokensOwed1: `{:uint, 128}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#positions/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.refund_eth/0","doc":"Prepares `refundETH()` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#refund_eth/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.refund_eth/0","doc":"This function does not return any values!","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#refund_eth/0-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.safe_transfer_from/3","doc":"Prepares `safeTransferFrom(address from, address to, uint256 tokenId)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nNo amount of Ether can be sent with this function.\n\n\nState mutability: `non_payable`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#safe_transfer_from/3"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.safe_transfer_from/3","doc":"- from: `:address`\n - to: `:address`\n - tokenId: `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#safe_transfer_from/3-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.safe_transfer_from/3","doc":"This function does not return any values!","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#safe_transfer_from/3-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.safe_transfer_from/4","doc":"Prepares `safeTransferFrom(address from, address to, uint256 tokenId, bytes _data)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nNo amount of Ether can be sent with this function.\n\n\nState mutability: `non_payable`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#safe_transfer_from/4"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.safe_transfer_from/4","doc":"- from: `:address`\n - to: `:address`\n - tokenId: `{:uint, 256}`\n - _data: `:bytes`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#safe_transfer_from/4-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.safe_transfer_from/4","doc":"This function does not return any values!","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#safe_transfer_from/4-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.self_permit/6","doc":"Prepares `selfPermit(address token, uint256 value, uint256 deadline, uint8 v, bytes32 r, bytes32 s)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#self_permit/6"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.self_permit/6","doc":"- token: `:address`\n - value: `{:uint, 256}`\n - deadline: `{:uint, 256}`\n - v: `{:uint, 8}`\n - r: `{:bytes, 32}`\n - s: `{:bytes, 32}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#self_permit/6-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.self_permit/6","doc":"This function does not return any values!","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#self_permit/6-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.self_permit_allowed/6","doc":"Prepares `selfPermitAllowed(address token, uint256 nonce, uint256 expiry, uint8 v, bytes32 r, bytes32 s)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#self_permit_allowed/6"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.self_permit_allowed/6","doc":"- token: `:address`\n - nonce: `{:uint, 256}`\n - expiry: `{:uint, 256}`\n - v: `{:uint, 8}`\n - r: `{:bytes, 32}`\n - s: `{:bytes, 32}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#self_permit_allowed/6-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.self_permit_allowed/6","doc":"This function does not return any values!","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#self_permit_allowed/6-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.self_permit_allowed_if_necessary/6","doc":"Prepares `selfPermitAllowedIfNecessary(address token, uint256 nonce, uint256 expiry, uint8 v, bytes32 r, bytes32 s)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#self_permit_allowed_if_necessary/6"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.self_permit_allowed_if_necessary/6","doc":"- token: `:address`\n - nonce: `{:uint, 256}`\n - expiry: `{:uint, 256}`\n - v: `{:uint, 8}`\n - r: `{:bytes, 32}`\n - s: `{:bytes, 32}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#self_permit_allowed_if_necessary/6-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.self_permit_allowed_if_necessary/6","doc":"This function does not return any values!","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#self_permit_allowed_if_necessary/6-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.self_permit_if_necessary/6","doc":"Prepares `selfPermitIfNecessary(address token, uint256 value, uint256 deadline, uint8 v, bytes32 r, bytes32 s)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#self_permit_if_necessary/6"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.self_permit_if_necessary/6","doc":"- token: `:address`\n - value: `{:uint, 256}`\n - deadline: `{:uint, 256}`\n - v: `{:uint, 8}`\n - r: `{:bytes, 32}`\n - s: `{:bytes, 32}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#self_permit_if_necessary/6-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.self_permit_if_necessary/6","doc":"This function does not return any values!","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#self_permit_if_necessary/6-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.set_approval_for_all/2","doc":"Prepares `setApprovalForAll(address operator, bool approved)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nNo amount of Ether can be sent with this function.\n\n\nState mutability: `non_payable`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#set_approval_for_all/2"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.set_approval_for_all/2","doc":"- operator: `:address`\n - approved: `:bool`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#set_approval_for_all/2-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.set_approval_for_all/2","doc":"This function does not return any values!","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#set_approval_for_all/2-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.supports_interface/1","doc":"Prepares `supportsInterface(bytes4 interfaceId)` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#supports_interface/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.supports_interface/1","doc":"- interfaceId: `{:bytes, 4}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#supports_interface/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.supports_interface/1","doc":"- `:bool`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#supports_interface/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.sweep_token/3","doc":"Prepares `sweepToken(address token, uint256 amountMinimum, address recipient)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#sweep_token/3"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.sweep_token/3","doc":"- token: `:address`\n - amountMinimum: `{:uint, 256}`\n - recipient: `:address`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#sweep_token/3-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.sweep_token/3","doc":"This function does not return any values!","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#sweep_token/3-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.symbol/0","doc":"Prepares `symbol()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#symbol/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.symbol/0","doc":"- `:string`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#symbol/0-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.token_by_index/1","doc":"Prepares `tokenByIndex(uint256 index)` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#token_by_index/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.token_by_index/1","doc":"- index: `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#token_by_index/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.token_by_index/1","doc":"- `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#token_by_index/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.token_of_owner_by_index/2","doc":"Prepares `tokenOfOwnerByIndex(address owner, uint256 index)` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#token_of_owner_by_index/2"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.token_of_owner_by_index/2","doc":"- owner: `:address`\n - index: `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#token_of_owner_by_index/2-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.token_of_owner_by_index/2","doc":"- `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#token_of_owner_by_index/2-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.token_uri/1","doc":"Prepares `tokenURI(uint256 tokenId)` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#token_uri/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.token_uri/1","doc":"- tokenId: `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#token_uri/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.token_uri/1","doc":"- `:string`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#token_uri/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.total_supply/0","doc":"Prepares `totalSupply()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#total_supply/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.total_supply/0","doc":"- `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#total_supply/0-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.transfer_from/3","doc":"Prepares `transferFrom(address from, address to, uint256 tokenId)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nNo amount of Ether can be sent with this function.\n\n\nState mutability: `non_payable`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#transfer_from/3"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.transfer_from/3","doc":"- from: `:address`\n - to: `:address`\n - tokenId: `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#transfer_from/3-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.transfer_from/3","doc":"This function does not return any values!","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#transfer_from/3-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.uniswap_v3_mint_callback/3","doc":"Prepares `uniswapV3MintCallback(uint256 amount0Owed, uint256 amount1Owed, bytes data)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nNo amount of Ether can be sent with this function.\n\n\nState mutability: `non_payable`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#uniswap_v3_mint_callback/3"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.uniswap_v3_mint_callback/3","doc":"- amount0Owed: `{:uint, 256}`\n - amount1Owed: `{:uint, 256}`\n - data: `:bytes`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#uniswap_v3_mint_callback/3-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.uniswap_v3_mint_callback/3","doc":"This function does not return any values!","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#uniswap_v3_mint_callback/3-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.unwrap_weth9/2","doc":"Prepares `unwrapWETH9(uint256 amountMinimum, address recipient)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#unwrap_weth9/2"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungiblePositionManager.unwrap_weth9/2","doc":"- amountMinimum: `{:uint, 256}`\n - recipient: `:address`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#unwrap_weth9/2-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.unwrap_weth9/2","doc":"This function does not return any values!","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#unwrap_weth9/2-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.weth9/0","doc":"Prepares `WETH9()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#weth9/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungiblePositionManager.weth9/0","doc":"- `:address`","ref":"Uniswap.Contracts.NonfungiblePositionManager.html#weth9/0-return-types-when-called-with-ethers-call-2"},{"type":"module","title":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor","doc":"Uniswap's NFT Position Descriptor","ref":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.html"},{"type":"function","title":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.__default_address__/0","doc":"Default address of the contract. Returns `nil` if not specified.\n\nTo specify a default address see `Ethers.Contract`","ref":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.html#__default_address__/0"},{"type":"function","title":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.constructor/2","doc":"Prepares contract constructor values for deployment.\n\nTo deploy a contracts use `Ethers.deploy/2` and pass the result of this function as\n`:encoded_constructor` option.","ref":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.html#constructor/2"},{"type":"function","title":"Parameters - Uniswap.Contracts.NonfungibleTokenPositionDescriptor.constructor/2","doc":"- _WETH9: `:address`\n - _nativeCurrencyLabelBytes: `{:bytes, 32}`","ref":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.html#constructor/2-parameters"},{"type":"function","title":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.flip_ratio/3","doc":"Prepares `flipRatio(address token0, address token1, uint256 chainId)` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.html#flip_ratio/3"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungibleTokenPositionDescriptor.flip_ratio/3","doc":"- token0: `:address`\n - token1: `:address`\n - chainId: `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.html#flip_ratio/3-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungibleTokenPositionDescriptor.flip_ratio/3","doc":"- `:bool`","ref":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.html#flip_ratio/3-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.native_currency_label/0","doc":"Prepares `nativeCurrencyLabel()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.html#native_currency_label/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungibleTokenPositionDescriptor.native_currency_label/0","doc":"- `:string`","ref":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.html#native_currency_label/0-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.native_currency_label_bytes/0","doc":"Prepares `nativeCurrencyLabelBytes()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.html#native_currency_label_bytes/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungibleTokenPositionDescriptor.native_currency_label_bytes/0","doc":"- `{:bytes, 32}`","ref":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.html#native_currency_label_bytes/0-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.token_ratio_priority/2","doc":"Prepares `tokenRatioPriority(address token, uint256 chainId)` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.html#token_ratio_priority/2"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungibleTokenPositionDescriptor.token_ratio_priority/2","doc":"- token: `:address`\n - chainId: `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.html#token_ratio_priority/2-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungibleTokenPositionDescriptor.token_ratio_priority/2","doc":"- `{:int, 256}`","ref":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.html#token_ratio_priority/2-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.token_uri/2","doc":"Prepares `tokenURI(address positionManager, uint256 tokenId)` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.html#token_uri/2"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.NonfungibleTokenPositionDescriptor.token_uri/2","doc":"- positionManager: `:address`\n - tokenId: `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.html#token_uri/2-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungibleTokenPositionDescriptor.token_uri/2","doc":"- `:string`","ref":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.html#token_uri/2-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.weth9/0","doc":"Prepares `WETH9()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.html#weth9/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.NonfungibleTokenPositionDescriptor.weth9/0","doc":"- `:address`","ref":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.html#weth9/0-return-types-when-called-with-ethers-call-2"},{"type":"module","title":"Uniswap.Contracts.SwapRouter","doc":"Uniswap's Swap Router V2","ref":"Uniswap.Contracts.SwapRouter.html"},{"type":"function","title":"Uniswap.Contracts.SwapRouter.__default_address__/0","doc":"Default address of the contract. Returns `nil` if not specified.\n\nTo specify a default address see `Ethers.Contract`","ref":"Uniswap.Contracts.SwapRouter.html#__default_address__/0"},{"type":"function","title":"Uniswap.Contracts.SwapRouter.constructor/2","doc":"Prepares contract constructor values for deployment.\n\nTo deploy a contracts use `Ethers.deploy/2` and pass the result of this function as\n`:encoded_constructor` option.","ref":"Uniswap.Contracts.SwapRouter.html#constructor/2"},{"type":"function","title":"Parameters - Uniswap.Contracts.SwapRouter.constructor/2","doc":"- _factory: `:address`\n - _WETH9: `:address`","ref":"Uniswap.Contracts.SwapRouter.html#constructor/2-parameters"},{"type":"function","title":"Uniswap.Contracts.SwapRouter.exact_input/1","doc":"Prepares `exactInput((bytes,address,uint256,uint256,uint256) params)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.SwapRouter.html#exact_input/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.SwapRouter.exact_input/1","doc":"- params: `{:tuple, [:bytes, :address, {:uint, 256}, {:uint, 256}, {:uint, 256}]}`","ref":"Uniswap.Contracts.SwapRouter.html#exact_input/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.SwapRouter.exact_input/1","doc":"- amountOut: `{:uint, 256}`","ref":"Uniswap.Contracts.SwapRouter.html#exact_input/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.SwapRouter.exact_input_single/1","doc":"Prepares `exactInputSingle((address,address,uint24,address,uint256,uint256,uint256,uint160) params)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.SwapRouter.html#exact_input_single/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.SwapRouter.exact_input_single/1","doc":"- params: `{:tuple, [:address, :address, {:uint, 24}, :address, {:uint, 256}, {:uint, 256}, {:uint, 256}, {:uint, 160}]}`","ref":"Uniswap.Contracts.SwapRouter.html#exact_input_single/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.SwapRouter.exact_input_single/1","doc":"- amountOut: `{:uint, 256}`","ref":"Uniswap.Contracts.SwapRouter.html#exact_input_single/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.SwapRouter.exact_output/1","doc":"Prepares `exactOutput((bytes,address,uint256,uint256,uint256) params)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.SwapRouter.html#exact_output/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.SwapRouter.exact_output/1","doc":"- params: `{:tuple, [:bytes, :address, {:uint, 256}, {:uint, 256}, {:uint, 256}]}`","ref":"Uniswap.Contracts.SwapRouter.html#exact_output/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.SwapRouter.exact_output/1","doc":"- amountIn: `{:uint, 256}`","ref":"Uniswap.Contracts.SwapRouter.html#exact_output/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.SwapRouter.exact_output_single/1","doc":"Prepares `exactOutputSingle((address,address,uint24,address,uint256,uint256,uint256,uint160) params)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.SwapRouter.html#exact_output_single/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.SwapRouter.exact_output_single/1","doc":"- params: `{:tuple, [:address, :address, {:uint, 24}, :address, {:uint, 256}, {:uint, 256}, {:uint, 256}, {:uint, 160}]}`","ref":"Uniswap.Contracts.SwapRouter.html#exact_output_single/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.SwapRouter.exact_output_single/1","doc":"- amountIn: `{:uint, 256}`","ref":"Uniswap.Contracts.SwapRouter.html#exact_output_single/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.SwapRouter.factory/0","doc":"Prepares `factory()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.SwapRouter.html#factory/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.SwapRouter.factory/0","doc":"- `:address`","ref":"Uniswap.Contracts.SwapRouter.html#factory/0-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.SwapRouter.multicall/1","doc":"Prepares `multicall(bytes[] data)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.SwapRouter.html#multicall/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.SwapRouter.multicall/1","doc":"- data: `{:array, :bytes}`","ref":"Uniswap.Contracts.SwapRouter.html#multicall/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.SwapRouter.multicall/1","doc":"- results: `{:array, :bytes}`","ref":"Uniswap.Contracts.SwapRouter.html#multicall/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.SwapRouter.refund_eth/0","doc":"Prepares `refundETH()` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.SwapRouter.html#refund_eth/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.SwapRouter.refund_eth/0","doc":"This function does not return any values!","ref":"Uniswap.Contracts.SwapRouter.html#refund_eth/0-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.SwapRouter.self_permit/6","doc":"Prepares `selfPermit(address token, uint256 value, uint256 deadline, uint8 v, bytes32 r, bytes32 s)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.SwapRouter.html#self_permit/6"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.SwapRouter.self_permit/6","doc":"- token: `:address`\n - value: `{:uint, 256}`\n - deadline: `{:uint, 256}`\n - v: `{:uint, 8}`\n - r: `{:bytes, 32}`\n - s: `{:bytes, 32}`","ref":"Uniswap.Contracts.SwapRouter.html#self_permit/6-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.SwapRouter.self_permit/6","doc":"This function does not return any values!","ref":"Uniswap.Contracts.SwapRouter.html#self_permit/6-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.SwapRouter.self_permit_allowed/6","doc":"Prepares `selfPermitAllowed(address token, uint256 nonce, uint256 expiry, uint8 v, bytes32 r, bytes32 s)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.SwapRouter.html#self_permit_allowed/6"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.SwapRouter.self_permit_allowed/6","doc":"- token: `:address`\n - nonce: `{:uint, 256}`\n - expiry: `{:uint, 256}`\n - v: `{:uint, 8}`\n - r: `{:bytes, 32}`\n - s: `{:bytes, 32}`","ref":"Uniswap.Contracts.SwapRouter.html#self_permit_allowed/6-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.SwapRouter.self_permit_allowed/6","doc":"This function does not return any values!","ref":"Uniswap.Contracts.SwapRouter.html#self_permit_allowed/6-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.SwapRouter.self_permit_allowed_if_necessary/6","doc":"Prepares `selfPermitAllowedIfNecessary(address token, uint256 nonce, uint256 expiry, uint8 v, bytes32 r, bytes32 s)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.SwapRouter.html#self_permit_allowed_if_necessary/6"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.SwapRouter.self_permit_allowed_if_necessary/6","doc":"- token: `:address`\n - nonce: `{:uint, 256}`\n - expiry: `{:uint, 256}`\n - v: `{:uint, 8}`\n - r: `{:bytes, 32}`\n - s: `{:bytes, 32}`","ref":"Uniswap.Contracts.SwapRouter.html#self_permit_allowed_if_necessary/6-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.SwapRouter.self_permit_allowed_if_necessary/6","doc":"This function does not return any values!","ref":"Uniswap.Contracts.SwapRouter.html#self_permit_allowed_if_necessary/6-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.SwapRouter.self_permit_if_necessary/6","doc":"Prepares `selfPermitIfNecessary(address token, uint256 value, uint256 deadline, uint8 v, bytes32 r, bytes32 s)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.SwapRouter.html#self_permit_if_necessary/6"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.SwapRouter.self_permit_if_necessary/6","doc":"- token: `:address`\n - value: `{:uint, 256}`\n - deadline: `{:uint, 256}`\n - v: `{:uint, 8}`\n - r: `{:bytes, 32}`\n - s: `{:bytes, 32}`","ref":"Uniswap.Contracts.SwapRouter.html#self_permit_if_necessary/6-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.SwapRouter.self_permit_if_necessary/6","doc":"This function does not return any values!","ref":"Uniswap.Contracts.SwapRouter.html#self_permit_if_necessary/6-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.SwapRouter.sweep_token/3","doc":"Prepares `sweepToken(address token, uint256 amountMinimum, address recipient)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.SwapRouter.html#sweep_token/3"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.SwapRouter.sweep_token/3","doc":"- token: `:address`\n - amountMinimum: `{:uint, 256}`\n - recipient: `:address`","ref":"Uniswap.Contracts.SwapRouter.html#sweep_token/3-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.SwapRouter.sweep_token/3","doc":"This function does not return any values!","ref":"Uniswap.Contracts.SwapRouter.html#sweep_token/3-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.SwapRouter.sweep_token_with_fee/5","doc":"Prepares `sweepTokenWithFee(address token, uint256 amountMinimum, address recipient, uint256 feeBips, address feeRecipient)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.SwapRouter.html#sweep_token_with_fee/5"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.SwapRouter.sweep_token_with_fee/5","doc":"- token: `:address`\n - amountMinimum: `{:uint, 256}`\n - recipient: `:address`\n - feeBips: `{:uint, 256}`\n - feeRecipient: `:address`","ref":"Uniswap.Contracts.SwapRouter.html#sweep_token_with_fee/5-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.SwapRouter.sweep_token_with_fee/5","doc":"This function does not return any values!","ref":"Uniswap.Contracts.SwapRouter.html#sweep_token_with_fee/5-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.SwapRouter.uniswap_v3_swap_callback/3","doc":"Prepares `uniswapV3SwapCallback(int256 amount0Delta, int256 amount1Delta, bytes _data)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nNo amount of Ether can be sent with this function.\n\n\nState mutability: `non_payable`","ref":"Uniswap.Contracts.SwapRouter.html#uniswap_v3_swap_callback/3"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.SwapRouter.uniswap_v3_swap_callback/3","doc":"- amount0Delta: `{:int, 256}`\n - amount1Delta: `{:int, 256}`\n - _data: `:bytes`","ref":"Uniswap.Contracts.SwapRouter.html#uniswap_v3_swap_callback/3-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.SwapRouter.uniswap_v3_swap_callback/3","doc":"This function does not return any values!","ref":"Uniswap.Contracts.SwapRouter.html#uniswap_v3_swap_callback/3-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.SwapRouter.unwrap_weth9/2","doc":"Prepares `unwrapWETH9(uint256 amountMinimum, address recipient)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.SwapRouter.html#unwrap_weth9/2"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.SwapRouter.unwrap_weth9/2","doc":"- amountMinimum: `{:uint, 256}`\n - recipient: `:address`","ref":"Uniswap.Contracts.SwapRouter.html#unwrap_weth9/2-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.SwapRouter.unwrap_weth9/2","doc":"This function does not return any values!","ref":"Uniswap.Contracts.SwapRouter.html#unwrap_weth9/2-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.SwapRouter.unwrap_weth9_with_fee/4","doc":"Prepares `unwrapWETH9WithFee(uint256 amountMinimum, address recipient, uint256 feeBips, address feeRecipient)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.SwapRouter.html#unwrap_weth9_with_fee/4"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.SwapRouter.unwrap_weth9_with_fee/4","doc":"- amountMinimum: `{:uint, 256}`\n - recipient: `:address`\n - feeBips: `{:uint, 256}`\n - feeRecipient: `:address`","ref":"Uniswap.Contracts.SwapRouter.html#unwrap_weth9_with_fee/4-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.SwapRouter.unwrap_weth9_with_fee/4","doc":"This function does not return any values!","ref":"Uniswap.Contracts.SwapRouter.html#unwrap_weth9_with_fee/4-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.SwapRouter.weth9/0","doc":"Prepares `WETH9()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.SwapRouter.html#weth9/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.SwapRouter.weth9/0","doc":"- `:address`","ref":"Uniswap.Contracts.SwapRouter.html#weth9/0-return-types-when-called-with-ethers-call-2"},{"type":"module","title":"Uniswap.Contracts.V3Factory","doc":"Uniswap V3 Factory Contract","ref":"Uniswap.Contracts.V3Factory.html"},{"type":"function","title":"Uniswap.Contracts.V3Factory.__default_address__/0","doc":"Default address of the contract. Returns `nil` if not specified.\n\nTo specify a default address see `Ethers.Contract`","ref":"Uniswap.Contracts.V3Factory.html#__default_address__/0"},{"type":"function","title":"Uniswap.Contracts.V3Factory.constructor/0","doc":"Prepares contract constructor values for deployment.\n\nTo deploy a contracts use `Ethers.deploy/2` and pass the result of this function as\n`:encoded_constructor` option.","ref":"Uniswap.Contracts.V3Factory.html#constructor/0"},{"type":"function","title":"Parameters - Uniswap.Contracts.V3Factory.constructor/0","doc":"","ref":"Uniswap.Contracts.V3Factory.html#constructor/0-parameters"},{"type":"function","title":"Uniswap.Contracts.V3Factory.create_pool/3","doc":"Prepares `createPool(address tokenA, address tokenB, uint24 fee)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nNo amount of Ether can be sent with this function.\n\n\nState mutability: `non_payable`","ref":"Uniswap.Contracts.V3Factory.html#create_pool/3"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Factory.create_pool/3","doc":"- tokenA: `:address`\n - tokenB: `:address`\n - fee: `{:uint, 24}`","ref":"Uniswap.Contracts.V3Factory.html#create_pool/3-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Factory.create_pool/3","doc":"- pool: `:address`","ref":"Uniswap.Contracts.V3Factory.html#create_pool/3-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Factory.enable_fee_amount/2","doc":"Prepares `enableFeeAmount(uint24 fee, int24 tickSpacing)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nNo amount of Ether can be sent with this function.\n\n\nState mutability: `non_payable`","ref":"Uniswap.Contracts.V3Factory.html#enable_fee_amount/2"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Factory.enable_fee_amount/2","doc":"- fee: `{:uint, 24}`\n - tickSpacing: `{:int, 24}`","ref":"Uniswap.Contracts.V3Factory.html#enable_fee_amount/2-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Factory.enable_fee_amount/2","doc":"This function does not return any values!","ref":"Uniswap.Contracts.V3Factory.html#enable_fee_amount/2-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Factory.fee_amount_tick_spacing/1","doc":"Prepares `feeAmountTickSpacing(uint24)` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.V3Factory.html#fee_amount_tick_spacing/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Factory.fee_amount_tick_spacing/1","doc":"- `{:uint, 24}`","ref":"Uniswap.Contracts.V3Factory.html#fee_amount_tick_spacing/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Factory.fee_amount_tick_spacing/1","doc":"- `{:int, 24}`","ref":"Uniswap.Contracts.V3Factory.html#fee_amount_tick_spacing/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Factory.get_pool/3","doc":"Prepares `getPool(address, address, uint24)` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.V3Factory.html#get_pool/3"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Factory.get_pool/3","doc":"- `:address`\n - `:address`\n - `{:uint, 24}`","ref":"Uniswap.Contracts.V3Factory.html#get_pool/3-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Factory.get_pool/3","doc":"- `:address`","ref":"Uniswap.Contracts.V3Factory.html#get_pool/3-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Factory.owner/0","doc":"Prepares `owner()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.V3Factory.html#owner/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Factory.owner/0","doc":"- `:address`","ref":"Uniswap.Contracts.V3Factory.html#owner/0-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Factory.parameters/0","doc":"Prepares `parameters()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.V3Factory.html#parameters/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Factory.parameters/0","doc":"- factory: `:address`\n - token0: `:address`\n - token1: `:address`\n - fee: `{:uint, 24}`\n - tickSpacing: `{:int, 24}`","ref":"Uniswap.Contracts.V3Factory.html#parameters/0-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Factory.set_owner/1","doc":"Prepares `setOwner(address _owner)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nNo amount of Ether can be sent with this function.\n\n\nState mutability: `non_payable`","ref":"Uniswap.Contracts.V3Factory.html#set_owner/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Factory.set_owner/1","doc":"- _owner: `:address`","ref":"Uniswap.Contracts.V3Factory.html#set_owner/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Factory.set_owner/1","doc":"This function does not return any values!","ref":"Uniswap.Contracts.V3Factory.html#set_owner/1-return-types-when-called-with-ethers-call-2"},{"type":"module","title":"Uniswap.Contracts.V3Migrator","doc":"Uniswap's V3 Migrator","ref":"Uniswap.Contracts.V3Migrator.html"},{"type":"function","title":"Uniswap.Contracts.V3Migrator.__default_address__/0","doc":"Default address of the contract. Returns `nil` if not specified.\n\nTo specify a default address see `Ethers.Contract`","ref":"Uniswap.Contracts.V3Migrator.html#__default_address__/0"},{"type":"function","title":"Uniswap.Contracts.V3Migrator.constructor/3","doc":"Prepares contract constructor values for deployment.\n\nTo deploy a contracts use `Ethers.deploy/2` and pass the result of this function as\n`:encoded_constructor` option.","ref":"Uniswap.Contracts.V3Migrator.html#constructor/3"},{"type":"function","title":"Parameters - Uniswap.Contracts.V3Migrator.constructor/3","doc":"- _factory: `:address`\n - _WETH9: `:address`\n - _nonfungiblePositionManager: `:address`","ref":"Uniswap.Contracts.V3Migrator.html#constructor/3-parameters"},{"type":"function","title":"Uniswap.Contracts.V3Migrator.create_and_initialize_pool_if_necessary/4","doc":"Prepares `createAndInitializePoolIfNecessary(address token0, address token1, uint24 fee, uint160 sqrtPriceX96)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.V3Migrator.html#create_and_initialize_pool_if_necessary/4"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Migrator.create_and_initialize_pool_if_necessary/4","doc":"- token0: `:address`\n - token1: `:address`\n - fee: `{:uint, 24}`\n - sqrtPriceX96: `{:uint, 160}`","ref":"Uniswap.Contracts.V3Migrator.html#create_and_initialize_pool_if_necessary/4-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Migrator.create_and_initialize_pool_if_necessary/4","doc":"- pool: `:address`","ref":"Uniswap.Contracts.V3Migrator.html#create_and_initialize_pool_if_necessary/4-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Migrator.factory/0","doc":"Prepares `factory()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.V3Migrator.html#factory/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Migrator.factory/0","doc":"- `:address`","ref":"Uniswap.Contracts.V3Migrator.html#factory/0-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Migrator.migrate/1","doc":"Prepares `migrate((address,uint256,uint8,address,address,uint24,int24,int24,uint256,uint256,address,uint256,bool) params)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nNo amount of Ether can be sent with this function.\n\n\nState mutability: `non_payable`","ref":"Uniswap.Contracts.V3Migrator.html#migrate/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Migrator.migrate/1","doc":"- params: `{:tuple, [:address, {:uint, 256}, {:uint, 8}, :address, :address, {:uint, 24}, {:int, 24}, {:int, 24}, {:uint, 256}, {:uint, 256}, :address, {:uint, 256}, :bool]}`","ref":"Uniswap.Contracts.V3Migrator.html#migrate/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Migrator.migrate/1","doc":"This function does not return any values!","ref":"Uniswap.Contracts.V3Migrator.html#migrate/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Migrator.multicall/1","doc":"Prepares `multicall(bytes[] data)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.V3Migrator.html#multicall/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Migrator.multicall/1","doc":"- data: `{:array, :bytes}`","ref":"Uniswap.Contracts.V3Migrator.html#multicall/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Migrator.multicall/1","doc":"- results: `{:array, :bytes}`","ref":"Uniswap.Contracts.V3Migrator.html#multicall/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Migrator.nonfungible_position_manager/0","doc":"Prepares `nonfungiblePositionManager()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.V3Migrator.html#nonfungible_position_manager/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Migrator.nonfungible_position_manager/0","doc":"- `:address`","ref":"Uniswap.Contracts.V3Migrator.html#nonfungible_position_manager/0-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Migrator.self_permit/6","doc":"Prepares `selfPermit(address token, uint256 value, uint256 deadline, uint8 v, bytes32 r, bytes32 s)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.V3Migrator.html#self_permit/6"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Migrator.self_permit/6","doc":"- token: `:address`\n - value: `{:uint, 256}`\n - deadline: `{:uint, 256}`\n - v: `{:uint, 8}`\n - r: `{:bytes, 32}`\n - s: `{:bytes, 32}`","ref":"Uniswap.Contracts.V3Migrator.html#self_permit/6-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Migrator.self_permit/6","doc":"This function does not return any values!","ref":"Uniswap.Contracts.V3Migrator.html#self_permit/6-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Migrator.self_permit_allowed/6","doc":"Prepares `selfPermitAllowed(address token, uint256 nonce, uint256 expiry, uint8 v, bytes32 r, bytes32 s)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.V3Migrator.html#self_permit_allowed/6"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Migrator.self_permit_allowed/6","doc":"- token: `:address`\n - nonce: `{:uint, 256}`\n - expiry: `{:uint, 256}`\n - v: `{:uint, 8}`\n - r: `{:bytes, 32}`\n - s: `{:bytes, 32}`","ref":"Uniswap.Contracts.V3Migrator.html#self_permit_allowed/6-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Migrator.self_permit_allowed/6","doc":"This function does not return any values!","ref":"Uniswap.Contracts.V3Migrator.html#self_permit_allowed/6-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Migrator.self_permit_allowed_if_necessary/6","doc":"Prepares `selfPermitAllowedIfNecessary(address token, uint256 nonce, uint256 expiry, uint8 v, bytes32 r, bytes32 s)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.V3Migrator.html#self_permit_allowed_if_necessary/6"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Migrator.self_permit_allowed_if_necessary/6","doc":"- token: `:address`\n - nonce: `{:uint, 256}`\n - expiry: `{:uint, 256}`\n - v: `{:uint, 8}`\n - r: `{:bytes, 32}`\n - s: `{:bytes, 32}`","ref":"Uniswap.Contracts.V3Migrator.html#self_permit_allowed_if_necessary/6-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Migrator.self_permit_allowed_if_necessary/6","doc":"This function does not return any values!","ref":"Uniswap.Contracts.V3Migrator.html#self_permit_allowed_if_necessary/6-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Migrator.self_permit_if_necessary/6","doc":"Prepares `selfPermitIfNecessary(address token, uint256 value, uint256 deadline, uint8 v, bytes32 r, bytes32 s)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nIt also supports receiving ether from the transaction origin.\n\n\nState mutability: `payable`","ref":"Uniswap.Contracts.V3Migrator.html#self_permit_if_necessary/6"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Migrator.self_permit_if_necessary/6","doc":"- token: `:address`\n - value: `{:uint, 256}`\n - deadline: `{:uint, 256}`\n - v: `{:uint, 8}`\n - r: `{:bytes, 32}`\n - s: `{:bytes, 32}`","ref":"Uniswap.Contracts.V3Migrator.html#self_permit_if_necessary/6-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Migrator.self_permit_if_necessary/6","doc":"This function does not return any values!","ref":"Uniswap.Contracts.V3Migrator.html#self_permit_if_necessary/6-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Migrator.weth9/0","doc":"Prepares `WETH9()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.V3Migrator.html#weth9/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Migrator.weth9/0","doc":"- `:address`","ref":"Uniswap.Contracts.V3Migrator.html#weth9/0-return-types-when-called-with-ethers-call-2"},{"type":"module","title":"Uniswap.Contracts.V3Pool","doc":"Uniswap V3 Pool Contract","ref":"Uniswap.Contracts.V3Pool.html"},{"type":"function","title":"Uniswap.Contracts.V3Pool.__default_address__/0","doc":"Default address of the contract. Returns `nil` if not specified.\n\nTo specify a default address see `Ethers.Contract`","ref":"Uniswap.Contracts.V3Pool.html#__default_address__/0"},{"type":"function","title":"Uniswap.Contracts.V3Pool.burn/3","doc":"Prepares `burn(int24 tickLower, int24 tickUpper, uint128 amount)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nNo amount of Ether can be sent with this function.\n\n\nState mutability: `non_payable`","ref":"Uniswap.Contracts.V3Pool.html#burn/3"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Pool.burn/3","doc":"- tickLower: `{:int, 24}`\n - tickUpper: `{:int, 24}`\n - amount: `{:uint, 128}`","ref":"Uniswap.Contracts.V3Pool.html#burn/3-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Pool.burn/3","doc":"- amount0: `{:uint, 256}`\n - amount1: `{:uint, 256}`","ref":"Uniswap.Contracts.V3Pool.html#burn/3-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.collect/5","doc":"Prepares `collect(address recipient, int24 tickLower, int24 tickUpper, uint128 amount0Requested, uint128 amount1Requested)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nNo amount of Ether can be sent with this function.\n\n\nState mutability: `non_payable`","ref":"Uniswap.Contracts.V3Pool.html#collect/5"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Pool.collect/5","doc":"- recipient: `:address`\n - tickLower: `{:int, 24}`\n - tickUpper: `{:int, 24}`\n - amount0Requested: `{:uint, 128}`\n - amount1Requested: `{:uint, 128}`","ref":"Uniswap.Contracts.V3Pool.html#collect/5-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Pool.collect/5","doc":"- amount0: `{:uint, 128}`\n - amount1: `{:uint, 128}`","ref":"Uniswap.Contracts.V3Pool.html#collect/5-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.collect_protocol/3","doc":"Prepares `collectProtocol(address recipient, uint128 amount0Requested, uint128 amount1Requested)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nNo amount of Ether can be sent with this function.\n\n\nState mutability: `non_payable`","ref":"Uniswap.Contracts.V3Pool.html#collect_protocol/3"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Pool.collect_protocol/3","doc":"- recipient: `:address`\n - amount0Requested: `{:uint, 128}`\n - amount1Requested: `{:uint, 128}`","ref":"Uniswap.Contracts.V3Pool.html#collect_protocol/3-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Pool.collect_protocol/3","doc":"- amount0: `{:uint, 128}`\n - amount1: `{:uint, 128}`","ref":"Uniswap.Contracts.V3Pool.html#collect_protocol/3-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.constructor/0","doc":"Prepares contract constructor values for deployment.\n\nTo deploy a contracts use `Ethers.deploy/2` and pass the result of this function as\n`:encoded_constructor` option.","ref":"Uniswap.Contracts.V3Pool.html#constructor/0"},{"type":"function","title":"Parameters - Uniswap.Contracts.V3Pool.constructor/0","doc":"","ref":"Uniswap.Contracts.V3Pool.html#constructor/0-parameters"},{"type":"function","title":"Uniswap.Contracts.V3Pool.factory/0","doc":"Prepares `factory()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.V3Pool.html#factory/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Pool.factory/0","doc":"- `:address`","ref":"Uniswap.Contracts.V3Pool.html#factory/0-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.fee/0","doc":"Prepares `fee()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.V3Pool.html#fee/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Pool.fee/0","doc":"- `{:uint, 24}`","ref":"Uniswap.Contracts.V3Pool.html#fee/0-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.fee_growth_global0_x128/0","doc":"Prepares `feeGrowthGlobal0X128()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.V3Pool.html#fee_growth_global0_x128/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Pool.fee_growth_global0_x128/0","doc":"- `{:uint, 256}`","ref":"Uniswap.Contracts.V3Pool.html#fee_growth_global0_x128/0-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.fee_growth_global1_x128/0","doc":"Prepares `feeGrowthGlobal1X128()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.V3Pool.html#fee_growth_global1_x128/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Pool.fee_growth_global1_x128/0","doc":"- `{:uint, 256}`","ref":"Uniswap.Contracts.V3Pool.html#fee_growth_global1_x128/0-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.flash/4","doc":"Prepares `flash(address recipient, uint256 amount0, uint256 amount1, bytes data)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nNo amount of Ether can be sent with this function.\n\n\nState mutability: `non_payable`","ref":"Uniswap.Contracts.V3Pool.html#flash/4"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Pool.flash/4","doc":"- recipient: `:address`\n - amount0: `{:uint, 256}`\n - amount1: `{:uint, 256}`\n - data: `:bytes`","ref":"Uniswap.Contracts.V3Pool.html#flash/4-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Pool.flash/4","doc":"This function does not return any values!","ref":"Uniswap.Contracts.V3Pool.html#flash/4-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.increase_observation_cardinality_next/1","doc":"Prepares `increaseObservationCardinalityNext(uint16 observationCardinalityNext)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nNo amount of Ether can be sent with this function.\n\n\nState mutability: `non_payable`","ref":"Uniswap.Contracts.V3Pool.html#increase_observation_cardinality_next/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Pool.increase_observation_cardinality_next/1","doc":"- observationCardinalityNext: `{:uint, 16}`","ref":"Uniswap.Contracts.V3Pool.html#increase_observation_cardinality_next/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Pool.increase_observation_cardinality_next/1","doc":"This function does not return any values!","ref":"Uniswap.Contracts.V3Pool.html#increase_observation_cardinality_next/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.initialize/1","doc":"Prepares `initialize(uint160 sqrtPriceX96)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nNo amount of Ether can be sent with this function.\n\n\nState mutability: `non_payable`","ref":"Uniswap.Contracts.V3Pool.html#initialize/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Pool.initialize/1","doc":"- sqrtPriceX96: `{:uint, 160}`","ref":"Uniswap.Contracts.V3Pool.html#initialize/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Pool.initialize/1","doc":"This function does not return any values!","ref":"Uniswap.Contracts.V3Pool.html#initialize/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.liquidity/0","doc":"Prepares `liquidity()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.V3Pool.html#liquidity/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Pool.liquidity/0","doc":"- `{:uint, 128}`","ref":"Uniswap.Contracts.V3Pool.html#liquidity/0-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.max_liquidity_per_tick/0","doc":"Prepares `maxLiquidityPerTick()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.V3Pool.html#max_liquidity_per_tick/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Pool.max_liquidity_per_tick/0","doc":"- `{:uint, 128}`","ref":"Uniswap.Contracts.V3Pool.html#max_liquidity_per_tick/0-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.mint/5","doc":"Prepares `mint(address recipient, int24 tickLower, int24 tickUpper, uint128 amount, bytes data)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nNo amount of Ether can be sent with this function.\n\n\nState mutability: `non_payable`","ref":"Uniswap.Contracts.V3Pool.html#mint/5"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Pool.mint/5","doc":"- recipient: `:address`\n - tickLower: `{:int, 24}`\n - tickUpper: `{:int, 24}`\n - amount: `{:uint, 128}`\n - data: `:bytes`","ref":"Uniswap.Contracts.V3Pool.html#mint/5-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Pool.mint/5","doc":"- amount0: `{:uint, 256}`\n - amount1: `{:uint, 256}`","ref":"Uniswap.Contracts.V3Pool.html#mint/5-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.observations/1","doc":"Prepares `observations(uint256)` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.V3Pool.html#observations/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Pool.observations/1","doc":"- `{:uint, 256}`","ref":"Uniswap.Contracts.V3Pool.html#observations/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Pool.observations/1","doc":"- blockTimestamp: `{:uint, 32}`\n - tickCumulative: `{:int, 56}`\n - secondsPerLiquidityCumulativeX128: `{:uint, 160}`\n - initialized: `:bool`","ref":"Uniswap.Contracts.V3Pool.html#observations/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.observe/1","doc":"Prepares `observe(uint32[] secondsAgos)` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.V3Pool.html#observe/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Pool.observe/1","doc":"- secondsAgos: `{:array, {:uint, 32}}`","ref":"Uniswap.Contracts.V3Pool.html#observe/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Pool.observe/1","doc":"- tickCumulatives: `{:array, {:int, 56}}`\n - secondsPerLiquidityCumulativeX128s: `{:array, {:uint, 160}}`","ref":"Uniswap.Contracts.V3Pool.html#observe/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.position_key/3","doc":"Calculates the position key based PositionKey.sol library implementation","ref":"Uniswap.Contracts.V3Pool.html#position_key/3"},{"type":"function","title":"Examples - Uniswap.Contracts.V3Pool.position_key/3","doc":"iex> V3Pool.position_key(-276330, -276320)\n    \"0x83947e3b1c37534eabbcccb7343ebdbf5390725cbe77c0d7dae7963d7d8d3a3d\"","ref":"Uniswap.Contracts.V3Pool.html#position_key/3-examples"},{"type":"function","title":"Uniswap.Contracts.V3Pool.positions/1","doc":"Prepares `positions(bytes32)` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.V3Pool.html#positions/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Pool.positions/1","doc":"- `{:bytes, 32}`","ref":"Uniswap.Contracts.V3Pool.html#positions/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Pool.positions/1","doc":"- liquidity: `{:uint, 128}`\n - feeGrowthInside0LastX128: `{:uint, 256}`\n - feeGrowthInside1LastX128: `{:uint, 256}`\n - tokensOwed0: `{:uint, 128}`\n - tokensOwed1: `{:uint, 128}`","ref":"Uniswap.Contracts.V3Pool.html#positions/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.protocol_fees/0","doc":"Prepares `protocolFees()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.V3Pool.html#protocol_fees/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Pool.protocol_fees/0","doc":"- token0: `{:uint, 128}`\n - token1: `{:uint, 128}`","ref":"Uniswap.Contracts.V3Pool.html#protocol_fees/0-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.set_fee_protocol/2","doc":"Prepares `setFeeProtocol(uint8 feeProtocol0, uint8 feeProtocol1)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nNo amount of Ether can be sent with this function.\n\n\nState mutability: `non_payable`","ref":"Uniswap.Contracts.V3Pool.html#set_fee_protocol/2"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Pool.set_fee_protocol/2","doc":"- feeProtocol0: `{:uint, 8}`\n - feeProtocol1: `{:uint, 8}`","ref":"Uniswap.Contracts.V3Pool.html#set_fee_protocol/2-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Pool.set_fee_protocol/2","doc":"This function does not return any values!","ref":"Uniswap.Contracts.V3Pool.html#set_fee_protocol/2-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.slot0/0","doc":"Prepares `slot0()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.V3Pool.html#slot0/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Pool.slot0/0","doc":"- sqrtPriceX96: `{:uint, 160}`\n - tick: `{:int, 24}`\n - observationIndex: `{:uint, 16}`\n - observationCardinality: `{:uint, 16}`\n - observationCardinalityNext: `{:uint, 16}`\n - feeProtocol: `{:uint, 8}`\n - unlocked: `:bool`","ref":"Uniswap.Contracts.V3Pool.html#slot0/0-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.snapshot_cumulatives_inside/2","doc":"Prepares `snapshotCumulativesInside(int24 tickLower, int24 tickUpper)` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.V3Pool.html#snapshot_cumulatives_inside/2"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Pool.snapshot_cumulatives_inside/2","doc":"- tickLower: `{:int, 24}`\n - tickUpper: `{:int, 24}`","ref":"Uniswap.Contracts.V3Pool.html#snapshot_cumulatives_inside/2-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Pool.snapshot_cumulatives_inside/2","doc":"- tickCumulativeInside: `{:int, 56}`\n - secondsPerLiquidityInsideX128: `{:uint, 160}`\n - secondsInside: `{:uint, 32}`","ref":"Uniswap.Contracts.V3Pool.html#snapshot_cumulatives_inside/2-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.swap/5","doc":"Prepares `swap(address recipient, bool zeroForOne, int256 amountSpecified, uint160 sqrtPriceLimitX96, bytes data)` call parameters on the contract.\n\nThis function can be used for a transaction or additionally called for results (Use `Ethers.send_transaction/2`).\nNo amount of Ether can be sent with this function.\n\n\nState mutability: `non_payable`","ref":"Uniswap.Contracts.V3Pool.html#swap/5"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Pool.swap/5","doc":"- recipient: `:address`\n - zeroForOne: `:bool`\n - amountSpecified: `{:int, 256}`\n - sqrtPriceLimitX96: `{:uint, 160}`\n - data: `:bytes`","ref":"Uniswap.Contracts.V3Pool.html#swap/5-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Pool.swap/5","doc":"- amount0: `{:int, 256}`\n - amount1: `{:int, 256}`","ref":"Uniswap.Contracts.V3Pool.html#swap/5-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.tick_bitmap/1","doc":"Prepares `tickBitmap(int16)` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.V3Pool.html#tick_bitmap/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Pool.tick_bitmap/1","doc":"- `{:int, 16}`","ref":"Uniswap.Contracts.V3Pool.html#tick_bitmap/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Pool.tick_bitmap/1","doc":"- `{:uint, 256}`","ref":"Uniswap.Contracts.V3Pool.html#tick_bitmap/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.tick_spacing/0","doc":"Prepares `tickSpacing()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.V3Pool.html#tick_spacing/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Pool.tick_spacing/0","doc":"- `{:int, 24}`","ref":"Uniswap.Contracts.V3Pool.html#tick_spacing/0-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.ticks/1","doc":"Prepares `ticks(int24)` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.V3Pool.html#ticks/1"},{"type":"function","title":"Function Parameter Types - Uniswap.Contracts.V3Pool.ticks/1","doc":"- `{:int, 24}`","ref":"Uniswap.Contracts.V3Pool.html#ticks/1-function-parameter-types"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Pool.ticks/1","doc":"- liquidityGross: `{:uint, 128}`\n - liquidityNet: `{:int, 128}`\n - feeGrowthOutside0X128: `{:uint, 256}`\n - feeGrowthOutside1X128: `{:uint, 256}`\n - tickCumulativeOutside: `{:int, 56}`\n - secondsPerLiquidityOutsideX128: `{:uint, 160}`\n - secondsOutside: `{:uint, 32}`\n - initialized: `:bool`","ref":"Uniswap.Contracts.V3Pool.html#ticks/1-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.token0/0","doc":"Prepares `token0()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.V3Pool.html#token0/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Pool.token0/0","doc":"- `:address`","ref":"Uniswap.Contracts.V3Pool.html#token0/0-return-types-when-called-with-ethers-call-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.token1/0","doc":"Prepares `token1()` call parameters on the contract.\n\nThis function should only be called for result and never in a transaction on its own. (Use `Ethers.call/2`)\n\n\nState mutability: `view`","ref":"Uniswap.Contracts.V3Pool.html#token1/0"},{"type":"function","title":"Return Types (when called with Ethers.call/2) - Uniswap.Contracts.V3Pool.token1/0","doc":"- `:address`","ref":"Uniswap.Contracts.V3Pool.html#token1/0-return-types-when-called-with-ethers-call-2"},{"type":"module","title":"Uniswap.Contracts.NonfungiblePositionManager.EventFilters","doc":"Events for `Uniswap.Contracts.NonfungiblePositionManager`","ref":"Uniswap.Contracts.NonfungiblePositionManager.EventFilters.html"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.EventFilters.approval/3","doc":"Create event filter for `Approval(address owner, address approved, uint256 tokenId)`\n\nFor each indexed parameter you can either pass in the value you want to\nfilter or `nil` if you don't want to filter.","ref":"Uniswap.Contracts.NonfungiblePositionManager.EventFilters.html#approval/3"},{"type":"function","title":"Parameter Types (Event indexed topics) - Uniswap.Contracts.NonfungiblePositionManager.EventFilters.approval/3","doc":"- owner: `:address`\n - approved: `:address`\n - tokenId: `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.EventFilters.html#approval/3-parameter-types-event-indexed-topics"},{"type":"function","title":"Event data Types (when called with Ethers.get_logs/2) - Uniswap.Contracts.NonfungiblePositionManager.EventFilters.approval/3","doc":"These are non-indexed topics (often referred to as data) of the event log.\n\nThis event does not contain any values!","ref":"Uniswap.Contracts.NonfungiblePositionManager.EventFilters.html#approval/3-event-data-types-when-called-with-ethers-get_logs-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.EventFilters.approval_for_all/2","doc":"Create event filter for `ApprovalForAll(address owner, address operator, bool approved)`\n\nFor each indexed parameter you can either pass in the value you want to\nfilter or `nil` if you don't want to filter.","ref":"Uniswap.Contracts.NonfungiblePositionManager.EventFilters.html#approval_for_all/2"},{"type":"function","title":"Parameter Types (Event indexed topics) - Uniswap.Contracts.NonfungiblePositionManager.EventFilters.approval_for_all/2","doc":"- owner: `:address`\n - operator: `:address`","ref":"Uniswap.Contracts.NonfungiblePositionManager.EventFilters.html#approval_for_all/2-parameter-types-event-indexed-topics"},{"type":"function","title":"Event data Types (when called with Ethers.get_logs/2) - Uniswap.Contracts.NonfungiblePositionManager.EventFilters.approval_for_all/2","doc":"These are non-indexed topics (often referred to as data) of the event log.\n\n - approved: `:bool`","ref":"Uniswap.Contracts.NonfungiblePositionManager.EventFilters.html#approval_for_all/2-event-data-types-when-called-with-ethers-get_logs-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.EventFilters.collect/1","doc":"Create event filter for `Collect(uint256 tokenId, address recipient, uint256 amount0, uint256 amount1)`\n\nFor each indexed parameter you can either pass in the value you want to\nfilter or `nil` if you don't want to filter.","ref":"Uniswap.Contracts.NonfungiblePositionManager.EventFilters.html#collect/1"},{"type":"function","title":"Parameter Types (Event indexed topics) - Uniswap.Contracts.NonfungiblePositionManager.EventFilters.collect/1","doc":"- tokenId: `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.EventFilters.html#collect/1-parameter-types-event-indexed-topics"},{"type":"function","title":"Event data Types (when called with Ethers.get_logs/2) - Uniswap.Contracts.NonfungiblePositionManager.EventFilters.collect/1","doc":"These are non-indexed topics (often referred to as data) of the event log.\n\n - recipient: `:address`\n - amount0: `{:uint, 256}`\n - amount1: `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.EventFilters.html#collect/1-event-data-types-when-called-with-ethers-get_logs-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.EventFilters.decrease_liquidity/1","doc":"Create event filter for `DecreaseLiquidity(uint256 tokenId, uint128 liquidity, uint256 amount0, uint256 amount1)`\n\nFor each indexed parameter you can either pass in the value you want to\nfilter or `nil` if you don't want to filter.","ref":"Uniswap.Contracts.NonfungiblePositionManager.EventFilters.html#decrease_liquidity/1"},{"type":"function","title":"Parameter Types (Event indexed topics) - Uniswap.Contracts.NonfungiblePositionManager.EventFilters.decrease_liquidity/1","doc":"- tokenId: `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.EventFilters.html#decrease_liquidity/1-parameter-types-event-indexed-topics"},{"type":"function","title":"Event data Types (when called with Ethers.get_logs/2) - Uniswap.Contracts.NonfungiblePositionManager.EventFilters.decrease_liquidity/1","doc":"These are non-indexed topics (often referred to as data) of the event log.\n\n - liquidity: `{:uint, 128}`\n - amount0: `{:uint, 256}`\n - amount1: `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.EventFilters.html#decrease_liquidity/1-event-data-types-when-called-with-ethers-get_logs-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.EventFilters.increase_liquidity/1","doc":"Create event filter for `IncreaseLiquidity(uint256 tokenId, uint128 liquidity, uint256 amount0, uint256 amount1)`\n\nFor each indexed parameter you can either pass in the value you want to\nfilter or `nil` if you don't want to filter.","ref":"Uniswap.Contracts.NonfungiblePositionManager.EventFilters.html#increase_liquidity/1"},{"type":"function","title":"Parameter Types (Event indexed topics) - Uniswap.Contracts.NonfungiblePositionManager.EventFilters.increase_liquidity/1","doc":"- tokenId: `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.EventFilters.html#increase_liquidity/1-parameter-types-event-indexed-topics"},{"type":"function","title":"Event data Types (when called with Ethers.get_logs/2) - Uniswap.Contracts.NonfungiblePositionManager.EventFilters.increase_liquidity/1","doc":"These are non-indexed topics (often referred to as data) of the event log.\n\n - liquidity: `{:uint, 128}`\n - amount0: `{:uint, 256}`\n - amount1: `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.EventFilters.html#increase_liquidity/1-event-data-types-when-called-with-ethers-get_logs-2"},{"type":"function","title":"Uniswap.Contracts.NonfungiblePositionManager.EventFilters.transfer/3","doc":"Create event filter for `Transfer(address from, address to, uint256 tokenId)`\n\nFor each indexed parameter you can either pass in the value you want to\nfilter or `nil` if you don't want to filter.","ref":"Uniswap.Contracts.NonfungiblePositionManager.EventFilters.html#transfer/3"},{"type":"function","title":"Parameter Types (Event indexed topics) - Uniswap.Contracts.NonfungiblePositionManager.EventFilters.transfer/3","doc":"- from: `:address`\n - to: `:address`\n - tokenId: `{:uint, 256}`","ref":"Uniswap.Contracts.NonfungiblePositionManager.EventFilters.html#transfer/3-parameter-types-event-indexed-topics"},{"type":"function","title":"Event data Types (when called with Ethers.get_logs/2) - Uniswap.Contracts.NonfungiblePositionManager.EventFilters.transfer/3","doc":"These are non-indexed topics (often referred to as data) of the event log.\n\nThis event does not contain any values!","ref":"Uniswap.Contracts.NonfungiblePositionManager.EventFilters.html#transfer/3-event-data-types-when-called-with-ethers-get_logs-2"},{"type":"module","title":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.EventFilters","doc":"Events for `Uniswap.Contracts.NonfungibleTokenPositionDescriptor`","ref":"Uniswap.Contracts.NonfungibleTokenPositionDescriptor.EventFilters.html"},{"type":"module","title":"Uniswap.Contracts.SwapRouter.EventFilters","doc":"Events for `Uniswap.Contracts.SwapRouter`","ref":"Uniswap.Contracts.SwapRouter.EventFilters.html"},{"type":"module","title":"Uniswap.Contracts.V3Factory.EventFilters","doc":"Events for `Uniswap.Contracts.V3Factory`","ref":"Uniswap.Contracts.V3Factory.EventFilters.html"},{"type":"function","title":"Uniswap.Contracts.V3Factory.EventFilters.fee_amount_enabled/2","doc":"Create event filter for `FeeAmountEnabled(uint24 fee, int24 tickSpacing)`\n\nFor each indexed parameter you can either pass in the value you want to\nfilter or `nil` if you don't want to filter.","ref":"Uniswap.Contracts.V3Factory.EventFilters.html#fee_amount_enabled/2"},{"type":"function","title":"Parameter Types (Event indexed topics) - Uniswap.Contracts.V3Factory.EventFilters.fee_amount_enabled/2","doc":"- fee: `{:uint, 24}`\n - tickSpacing: `{:int, 24}`","ref":"Uniswap.Contracts.V3Factory.EventFilters.html#fee_amount_enabled/2-parameter-types-event-indexed-topics"},{"type":"function","title":"Event data Types (when called with Ethers.get_logs/2) - Uniswap.Contracts.V3Factory.EventFilters.fee_amount_enabled/2","doc":"These are non-indexed topics (often referred to as data) of the event log.\n\nThis event does not contain any values!","ref":"Uniswap.Contracts.V3Factory.EventFilters.html#fee_amount_enabled/2-event-data-types-when-called-with-ethers-get_logs-2"},{"type":"function","title":"Uniswap.Contracts.V3Factory.EventFilters.owner_changed/2","doc":"Create event filter for `OwnerChanged(address oldOwner, address newOwner)`\n\nFor each indexed parameter you can either pass in the value you want to\nfilter or `nil` if you don't want to filter.","ref":"Uniswap.Contracts.V3Factory.EventFilters.html#owner_changed/2"},{"type":"function","title":"Parameter Types (Event indexed topics) - Uniswap.Contracts.V3Factory.EventFilters.owner_changed/2","doc":"- oldOwner: `:address`\n - newOwner: `:address`","ref":"Uniswap.Contracts.V3Factory.EventFilters.html#owner_changed/2-parameter-types-event-indexed-topics"},{"type":"function","title":"Event data Types (when called with Ethers.get_logs/2) - Uniswap.Contracts.V3Factory.EventFilters.owner_changed/2","doc":"These are non-indexed topics (often referred to as data) of the event log.\n\nThis event does not contain any values!","ref":"Uniswap.Contracts.V3Factory.EventFilters.html#owner_changed/2-event-data-types-when-called-with-ethers-get_logs-2"},{"type":"function","title":"Uniswap.Contracts.V3Factory.EventFilters.pool_created/3","doc":"Create event filter for `PoolCreated(address token0, address token1, uint24 fee, int24 tickSpacing, address pool)`\n\nFor each indexed parameter you can either pass in the value you want to\nfilter or `nil` if you don't want to filter.","ref":"Uniswap.Contracts.V3Factory.EventFilters.html#pool_created/3"},{"type":"function","title":"Parameter Types (Event indexed topics) - Uniswap.Contracts.V3Factory.EventFilters.pool_created/3","doc":"- token0: `:address`\n - token1: `:address`\n - fee: `{:uint, 24}`","ref":"Uniswap.Contracts.V3Factory.EventFilters.html#pool_created/3-parameter-types-event-indexed-topics"},{"type":"function","title":"Event data Types (when called with Ethers.get_logs/2) - Uniswap.Contracts.V3Factory.EventFilters.pool_created/3","doc":"These are non-indexed topics (often referred to as data) of the event log.\n\n - tickSpacing: `{:int, 24}`\n - pool: `:address`","ref":"Uniswap.Contracts.V3Factory.EventFilters.html#pool_created/3-event-data-types-when-called-with-ethers-get_logs-2"},{"type":"module","title":"Uniswap.Contracts.V3Migrator.EventFilters","doc":"Events for `Uniswap.Contracts.V3Migrator`","ref":"Uniswap.Contracts.V3Migrator.EventFilters.html"},{"type":"module","title":"Uniswap.Contracts.V3Pool.EventFilters","doc":"Events for `Uniswap.Contracts.V3Pool`","ref":"Uniswap.Contracts.V3Pool.EventFilters.html"},{"type":"function","title":"Uniswap.Contracts.V3Pool.EventFilters.burn/3","doc":"Create event filter for `Burn(address owner, int24 tickLower, int24 tickUpper, uint128 amount, uint256 amount0, uint256 amount1)`\n\nFor each indexed parameter you can either pass in the value you want to\nfilter or `nil` if you don't want to filter.","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#burn/3"},{"type":"function","title":"Parameter Types (Event indexed topics) - Uniswap.Contracts.V3Pool.EventFilters.burn/3","doc":"- owner: `:address`\n - tickLower: `{:int, 24}`\n - tickUpper: `{:int, 24}`","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#burn/3-parameter-types-event-indexed-topics"},{"type":"function","title":"Event data Types (when called with Ethers.get_logs/2) - Uniswap.Contracts.V3Pool.EventFilters.burn/3","doc":"These are non-indexed topics (often referred to as data) of the event log.\n\n - amount: `{:uint, 128}`\n - amount0: `{:uint, 256}`\n - amount1: `{:uint, 256}`","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#burn/3-event-data-types-when-called-with-ethers-get_logs-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.EventFilters.collect/3","doc":"Create event filter for `Collect(address owner, address recipient, int24 tickLower, int24 tickUpper, uint128 amount0, uint128 amount1)`\n\nFor each indexed parameter you can either pass in the value you want to\nfilter or `nil` if you don't want to filter.","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#collect/3"},{"type":"function","title":"Parameter Types (Event indexed topics) - Uniswap.Contracts.V3Pool.EventFilters.collect/3","doc":"- owner: `:address`\n - tickLower: `{:int, 24}`\n - tickUpper: `{:int, 24}`","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#collect/3-parameter-types-event-indexed-topics"},{"type":"function","title":"Event data Types (when called with Ethers.get_logs/2) - Uniswap.Contracts.V3Pool.EventFilters.collect/3","doc":"These are non-indexed topics (often referred to as data) of the event log.\n\n - recipient: `:address`\n - amount0: `{:uint, 128}`\n - amount1: `{:uint, 128}`","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#collect/3-event-data-types-when-called-with-ethers-get_logs-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.EventFilters.collect_protocol/2","doc":"Create event filter for `CollectProtocol(address sender, address recipient, uint128 amount0, uint128 amount1)`\n\nFor each indexed parameter you can either pass in the value you want to\nfilter or `nil` if you don't want to filter.","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#collect_protocol/2"},{"type":"function","title":"Parameter Types (Event indexed topics) - Uniswap.Contracts.V3Pool.EventFilters.collect_protocol/2","doc":"- sender: `:address`\n - recipient: `:address`","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#collect_protocol/2-parameter-types-event-indexed-topics"},{"type":"function","title":"Event data Types (when called with Ethers.get_logs/2) - Uniswap.Contracts.V3Pool.EventFilters.collect_protocol/2","doc":"These are non-indexed topics (often referred to as data) of the event log.\n\n - amount0: `{:uint, 128}`\n - amount1: `{:uint, 128}`","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#collect_protocol/2-event-data-types-when-called-with-ethers-get_logs-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.EventFilters.flash/2","doc":"Create event filter for `Flash(address sender, address recipient, uint256 amount0, uint256 amount1, uint256 paid0, uint256 paid1)`\n\nFor each indexed parameter you can either pass in the value you want to\nfilter or `nil` if you don't want to filter.","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#flash/2"},{"type":"function","title":"Parameter Types (Event indexed topics) - Uniswap.Contracts.V3Pool.EventFilters.flash/2","doc":"- sender: `:address`\n - recipient: `:address`","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#flash/2-parameter-types-event-indexed-topics"},{"type":"function","title":"Event data Types (when called with Ethers.get_logs/2) - Uniswap.Contracts.V3Pool.EventFilters.flash/2","doc":"These are non-indexed topics (often referred to as data) of the event log.\n\n - amount0: `{:uint, 256}`\n - amount1: `{:uint, 256}`\n - paid0: `{:uint, 256}`\n - paid1: `{:uint, 256}`","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#flash/2-event-data-types-when-called-with-ethers-get_logs-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.EventFilters.increase_observation_cardinality_next/0","doc":"Create event filter for `IncreaseObservationCardinalityNext(uint16 observationCardinalityNextOld, uint16 observationCardinalityNextNew)`\n\nFor each indexed parameter you can either pass in the value you want to\nfilter or `nil` if you don't want to filter.","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#increase_observation_cardinality_next/0"},{"type":"function","title":"Parameter Types (Event indexed topics) - Uniswap.Contracts.V3Pool.EventFilters.increase_observation_cardinality_next/0","doc":"","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#increase_observation_cardinality_next/0-parameter-types-event-indexed-topics"},{"type":"function","title":"Event data Types (when called with Ethers.get_logs/2) - Uniswap.Contracts.V3Pool.EventFilters.increase_observation_cardinality_next/0","doc":"These are non-indexed topics (often referred to as data) of the event log.\n\n - observationCardinalityNextOld: `{:uint, 16}`\n - observationCardinalityNextNew: `{:uint, 16}`","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#increase_observation_cardinality_next/0-event-data-types-when-called-with-ethers-get_logs-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.EventFilters.initialize/0","doc":"Create event filter for `Initialize(uint160 sqrtPriceX96, int24 tick)`\n\nFor each indexed parameter you can either pass in the value you want to\nfilter or `nil` if you don't want to filter.","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#initialize/0"},{"type":"function","title":"Parameter Types (Event indexed topics) - Uniswap.Contracts.V3Pool.EventFilters.initialize/0","doc":"","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#initialize/0-parameter-types-event-indexed-topics"},{"type":"function","title":"Event data Types (when called with Ethers.get_logs/2) - Uniswap.Contracts.V3Pool.EventFilters.initialize/0","doc":"These are non-indexed topics (often referred to as data) of the event log.\n\n - sqrtPriceX96: `{:uint, 160}`\n - tick: `{:int, 24}`","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#initialize/0-event-data-types-when-called-with-ethers-get_logs-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.EventFilters.mint/3","doc":"Create event filter for `Mint(address sender, address owner, int24 tickLower, int24 tickUpper, uint128 amount, uint256 amount0, uint256 amount1)`\n\nFor each indexed parameter you can either pass in the value you want to\nfilter or `nil` if you don't want to filter.","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#mint/3"},{"type":"function","title":"Parameter Types (Event indexed topics) - Uniswap.Contracts.V3Pool.EventFilters.mint/3","doc":"- owner: `:address`\n - tickLower: `{:int, 24}`\n - tickUpper: `{:int, 24}`","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#mint/3-parameter-types-event-indexed-topics"},{"type":"function","title":"Event data Types (when called with Ethers.get_logs/2) - Uniswap.Contracts.V3Pool.EventFilters.mint/3","doc":"These are non-indexed topics (often referred to as data) of the event log.\n\n - sender: `:address`\n - amount: `{:uint, 128}`\n - amount0: `{:uint, 256}`\n - amount1: `{:uint, 256}`","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#mint/3-event-data-types-when-called-with-ethers-get_logs-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.EventFilters.set_fee_protocol/0","doc":"Create event filter for `SetFeeProtocol(uint8 feeProtocol0Old, uint8 feeProtocol1Old, uint8 feeProtocol0New, uint8 feeProtocol1New)`\n\nFor each indexed parameter you can either pass in the value you want to\nfilter or `nil` if you don't want to filter.","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#set_fee_protocol/0"},{"type":"function","title":"Parameter Types (Event indexed topics) - Uniswap.Contracts.V3Pool.EventFilters.set_fee_protocol/0","doc":"","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#set_fee_protocol/0-parameter-types-event-indexed-topics"},{"type":"function","title":"Event data Types (when called with Ethers.get_logs/2) - Uniswap.Contracts.V3Pool.EventFilters.set_fee_protocol/0","doc":"These are non-indexed topics (often referred to as data) of the event log.\n\n - feeProtocol0Old: `{:uint, 8}`\n - feeProtocol1Old: `{:uint, 8}`\n - feeProtocol0New: `{:uint, 8}`\n - feeProtocol1New: `{:uint, 8}`","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#set_fee_protocol/0-event-data-types-when-called-with-ethers-get_logs-2"},{"type":"function","title":"Uniswap.Contracts.V3Pool.EventFilters.swap/2","doc":"Create event filter for `Swap(address sender, address recipient, int256 amount0, int256 amount1, uint160 sqrtPriceX96, uint128 liquidity, int24 tick)`\n\nFor each indexed parameter you can either pass in the value you want to\nfilter or `nil` if you don't want to filter.","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#swap/2"},{"type":"function","title":"Parameter Types (Event indexed topics) - Uniswap.Contracts.V3Pool.EventFilters.swap/2","doc":"- sender: `:address`\n - recipient: `:address`","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#swap/2-parameter-types-event-indexed-topics"},{"type":"function","title":"Event data Types (when called with Ethers.get_logs/2) - Uniswap.Contracts.V3Pool.EventFilters.swap/2","doc":"These are non-indexed topics (often referred to as data) of the event log.\n\n - amount0: `{:int, 256}`\n - amount1: `{:int, 256}`\n - sqrtPriceX96: `{:uint, 160}`\n - liquidity: `{:uint, 128}`\n - tick: `{:int, 24}`","ref":"Uniswap.Contracts.V3Pool.EventFilters.html#swap/2-event-data-types-when-called-with-ethers-get_logs-2"},{"type":"extras","title":"Introduction","doc":"# Uniswap\n\n[![example workflow](https://github.com/alisinabh/elixir_uniswap/actions/workflows/elixir.yml/badge.svg)](https://github.com/alisinabh/elixir_uniswap)\n[![Coverage Status](https://coveralls.io/repos/github/alisinabh/elixir_uniswap/badge.svg?branch=main)](https://coveralls.io/github/alisinabh/elixir_uniswap?branch=main)\n[![Module Version](https://img.shields.io/hexpm/v/uniswap.svg)](https://hex.pm/packages/uniswap)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/uniswap/)\n[![License](https://img.shields.io/hexpm/l/uniswap.svg)](https://github.com/alisinabh/elixir_uniswap/blob/master/LICENSE.md)\n[![Last Updated](https://img.shields.io/github/last-commit/alisinabh/elixir_uniswap.svg)](https://github.com/alisinabh/elixir_uniswap/commits/main)\n\n**WORK IN PROGRESS**\n\n[Uniswap](https://uniswap.org) interface and utilities for Elixir.","ref":"readme.html"},{"type":"extras","title":"Installation - Introduction","doc":"```elixir\ndef deps do\n  [\n    {:uniswap, github: \"alisinabh/elixir-uniswap\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"License - Introduction","doc":"**MIT**","ref":"readme.html#license"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}